Bug 73297 - "allow bold text" doesn't
Summary: "allow bold text" doesn't
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: vte   
(Show other bugs)
Version: null
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-02 17:08 UTC by Tim Clymo
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 22:13:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Clymo 2002-09-02 17:08:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
As in summary - I've set the "allow bold text" option in Edit->Current
Profile->General (actually, I think it gets shipped with this on already) but it
seems to make no difference whether it's on or off - GT refuses to display bold
text (eg top, man pages or tput bold)

Version-Release number of selected component (if applicable): 2.0.1-3


How reproducible:
Always

Steps to Reproduce:
1.Edit->Current Profile->General - tick "allow bold text"
2.tput bold
3.start typing
	

Actual Results:  regular text

Expected Results:  bold text

Additional info:

Actually, it would be quite nice if the text could not only be bold, but in some
user defined color - the same goes for underlined text in a different color, as
xterm does with resources boldColors and colorULMode. I guess this has to go
upstream though where it would, probably correctly, be deprioritised as a
triviality :)

Comment 1 Nalin Dahyabhai 2002-09-02 19:40:35 UTC
Bold text is distinguished from normal text only by its color -- if your default
color setup is black-on-white, then there's no room for "more black".  If you
set the foreground to a shade of gray, it'll work as expected.  (For colors
other than the default foreground and background color, each item in the second
row of the color palette you see in the profile editor is the bold version of
the item in the first row, directly above it.)  The option is a little
misleading here.

Comment 2 Nalin Dahyabhai 2002-10-17 23:12:34 UTC
Fixed upstream, will be pulled in when 0.9.2 or later hits Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.